# -*- encoding: utf-8 -*-
# stub: securecompare 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "securecompare".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Samuel Kadolph".freeze]
  s.date = "2021-01-07"
  s.description = "securecompare borrows the secure_compare private method from ActiveSupport::MessageVerifier which lets you do safely compare strings without being vulnerable to timing attacks. Useful for Basic HTTP Authentication in your rack/rails application.".freeze
  s.email = ["samuel@kadolph.com".freeze]
  s.files = ["lib/securecompare.rb".freeze, "lib/securecompare/version.rb".freeze]
  s.homepage = "https://github.com/samuelkadolph/securecompare".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.4.20".freeze
  s.summary = "securecompare is a gem that implements a constant time string comparison method safe for use in cryptographic functions.".freeze

  s.specification_version = 4

  s.add_development_dependency(%q<bundler>.freeze, ["~> 1.3"])
  s.add_development_dependency(%q<rake>.freeze, [">= 0"])
end
